### Hierarchy

- AppComponent

### Implements

- OnInit

## Index

### Constructors

- constructor

### Properties

- mediaQuery
- readyState
- readyStateTarget
- title

### Methods

- cicConvert
- cicTransfer
- ngOnInit
- onResize

## Constructors

### constructor

- new AppComponent(authService: AuthService, transactionService: TransactionService, loggingService: LoggingService, errorDialogService: ErrorDialogService, swUpdate: SwUpdate): AppComponent

- - Defined in src/app/app.component.ts:21

  #### Parameters

  - ##### authService: AuthService

  - ##### transactionService: TransactionService

  - ##### loggingService: LoggingService

  - ##### errorDialogService: ErrorDialogService

  - ##### swUpdate: SwUpdate

  #### Returns AppComponent

## Properties

### mediaQuery

mediaQuery: MediaQueryList = ...

- Defined in src/app/app.component.ts:21

### readyState

readyState: number = 0

- Defined in src/app/app.component.ts:20

### readyStateTarget

readyStateTarget: number = 3

- Defined in src/app/app.component.ts:19

### title

title: string = 'CICADA'

- Defined in src/app/app.component.ts:18

## Methods

### cicConvert

- cicConvert(event: CustomEvent<any>): Promise<void>

- - Defined in src/app/app.component.ts:88

  #### Parameters

  - ##### event: CustomEvent<any>

  #### Returns Promise<void>

### cicTransfer

- cicTransfer(event: CustomEvent<any>): Promise<void>

- - Defined in src/app/app.component.ts:82

  #### Parameters

  - ##### event: CustomEvent<any>

  #### Returns Promise<void>

### ngOnInit

- ngOnInit(): Promise<void>

- Implementation of OnInit.ngOnInit

  - Defined in src/app/app.component.ts:34

  #### Returns Promise<void>

### onResize

- onResize(e: any): void

- - Defined in src/app/app.component.ts:57

  #### Parameters

  - ##### e: any

  #### Returns void

Generated using TypeDoc